<?php

namespace App\Http\Controllers;

use App\Models\Proyecto;
use App\Models\Proyectos;
use Illuminate\Http\Request;
use DB;
use Log;
use Carbon\Carbon;


class proyectoController extends Controller
{
    public function NuevoProyecto()
    {
        /*SIEMPRE DEVOLVER PARA OBTENER DATOS ESPECIFICOS DEL MENU */
        //$menu = DB::table('menus')->where('menu_nombreformulario', 'equipos')->first();
        //$menupadre = DB::table('menus')->where('menu_id', $menu->menu_padre)->first();
        /*SIEMPRE DEVOLVER PARA OBTENER DATOS ESPECIFICOS DEL MENU */

        //$areas = DB::table('areas')->get();
        //$empresas = DB::table('empresas')->get();
        //return view('inicio',compact('menu','menupadre'));
        return view('proyectoNuevo');


    }

    public function GuardarProyecto(Request $request){


        $dataJQ = $request->all();
        $ResultadoTranssacion = false;
        //Log::info($dataJQ);

        try {
                $ResultadoTranssacion = false;
                $nuevaProyecto = new Proyecto();
              
                $nuevaProyecto->proy_empresa    = $dataJQ['proy_empresa'];
                $nuevaProyecto->proy_nombre     = $dataJQ['proy_nombre'];
                $nuevaProyecto->proy_estado     = "ACTIVO";           
                $nuevaProyecto->proy_comentarios = $dataJQ['proy_comentarios'];     
                $nuevaProyecto->created_at       = Carbon::now();
                $nuevaProyecto->updated_at       = Carbon::now();


                $affected = $nuevaProyecto->save();

                if ($affected >= 1) {
                    $ResultadoTranssacion = true;
                }else{
                    $ResultadoTranssacion = false;
                }
                //Log::info($affected);

        } catch (Exception $e) {
            report($e);
            Log::info($e);
        }

            return response()->json($ResultadoTranssacion) ;

    }

    public function CargarProyectos($id)
    {        
        $proyecto = DB::table('proyectos')->where('proy_id', $id)->first();
        return view('proyectoEditar', compact('proyecto'));

    }

    public function ListarProyectos()
    {
         
        $proyectos = DB::table('proyectos')->get();
        //$empresas = DB::table('empresas')->get();
        return view('proyectoLista',compact('proyectos'));
        
    }

    public function EditarProyecto(Request $request)
    {
        
        $dataJQ = $request->all();
        $ResultadoTranssacion = false;
        //Log::info($dataJQ);

        try {

            $id = $dataJQ['proy_id'];                     
                
            $affected = DB::table('proyectos')
                    ->where('proy_id', $id)
                    ->update([
                        'proy_empresa' => $dataJQ['proy_empresa'],
                        'proy_nombre' =>  $dataJQ['proy_nombre'],
                        'proy_comentarios' =>  $dataJQ['proy_comentarios'],
                        'proy_estado' =>  $dataJQ['proy_estado'],
                        'created_at' => Carbon::now(),
                        'updated_at' => Carbon::now()
                ]);
                
                 

                if ($affected >= 1) {
                    $ResultadoTranssacion = true;
                }else{
                    $ResultadoTranssacion = false;
                }
                Log::info($affected);

        } catch (Exception $e) {
            report($e);
            Log::info($e);
        }

            return response()->json($ResultadoTranssacion) ;

    }
}
